<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.xunhong</groupId>
		<artifactId>ERPTurbo</artifactId>
		<version>1.0.0-SNAPSHOT</version>
	</parent>

	<groupId>com.xunhong</groupId>
	<artifactId>erp-turbo-svc</artifactId>
	<version>1.0.0-SNAPSHOT</version>

	<properties>
		<application.name>erp-turbo-svc</application.name>
		<maven.compiler.source>22</maven.compiler.source>
		<maven.compiler.target>22</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-base</artifactId>
		</dependency>

		<!--		<dependency>-->
		<!--			<groupId>com.xunhong</groupId>-->
		<!--			<artifactId>erp-turbo-config</artifactId>-->
		<!--		</dependency>-->

		<!--    bootstrap     -->
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-bootstrap</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-file</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-ai</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-api</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-rpc</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-web</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-sa-token</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-apm</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-logback</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-limiter</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-datasource</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-weixin</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-dify</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-quartz</artifactId>
		</dependency>

		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-captcha</artifactId>
		</dependency>

		<!--  TEST  -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<!--        h2内存数据库-->

		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
			<version>1.4.200</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-mate-annotation</artifactId>
			<version>1.3.4</version>
		</dependency>

		<!-- COLA components -->
		<dependency>
			<groupId>com.alibaba.cola</groupId>
			<artifactId>cola-component-domain-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>com.alibaba.cola</groupId>
			<artifactId>cola-component-exception</artifactId>
		</dependency>
		<!-- COLA components End-->
	</dependencies>

	<build>
		<finalName>${application.name}</finalName>
		<plugins>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-clean-plugin</artifactId>
				<version>3.3.2</version>
				<configuration>
					<filesets>
						<!-- 清理拷贝的Java文件 -->
						<fileset>
							<directory>
								${project.basedir}/src/main/java/com/xunhong/erp/turbo
							</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<excludes>
								<exclude>**/ErpTurboSvcApplication.java
								</exclude>
							</excludes>
							<followSymlinks>false</followSymlinks>
						</fileset>
						<!-- 清理拷贝的test文件 -->
						<fileset>
							<directory>${project.basedir}/src/test</directory>
							<includes>
								<include>**/*</include>
							</includes>
							<followSymlinks>false</followSymlinks>
						</fileset>
						<!-- 清理拷贝的XML资源文件 -->
						<fileset>
							<directory>
								${project.basedir}/src/main/resources/mapper
							</directory>
							<includes>
								<include>**/*.xml</include>
							</includes>
							<followSymlinks>false</followSymlinks>
						</fileset>
					</filesets>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-antrun-plugin</artifactId>
				<version>3.1.0</version>
				<executions>
					<execution>
						<id>copy-sources</id>
						<phase>generate-sources</phase>
						<goals>
							<goal>run</goal>
						</goals>
						<configuration>
							<target>
								<copy todir="${project.basedir}" verbose="true">
									<fileset dir="${project.basedir}/..">
										<include
											name="erp-turbo-*/**/src/main/java/**/*.java"/>
										<include
											name="erp-turbo-*/**/src/main/resources/**/*.xml"/>
										<exclude
											name="erp-turbo-*/**/src/main/java/**/*Application.java"/>

										<exclude name="erp-turbo-gateway/**/*"/>
									</fileset>
									<!-- 关键：移除 khb-turbo-* 前缀 -->
									<mapper type="regexp"
											from="^(erp-turbo-business\\erp-turbo-[^/\\]+|erp-turbo-admin|erp-turbo-client|erp-turbo-auth|erp-turbo-schedule)[/\\](.*)"
											to="\2"/>
								</copy>
							</target>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<includeSystemScope>true</includeSystemScope>
					<mainClass>
						com.xunhong.erp.turbo.ErpTurboSvcApplication
					</mainClass>
					<layers>
						<enabled>true</enabled>
						<configuration>
							../layers/layers.xml
						</configuration>
					</layers>
				</configuration>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
